Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Interface IComparisonProvider

    public interface IComparisonProvider

Specific comparison input that can be used to directly provide a pre-computed Comparison to the EMF Compare UI.

### Method Summary

All Methods Instance Methods Abstract Methods
`Comparison` `getComparison​(org.eclipse.core.runtime.IProgressMonitor monitor)`
`IComparisonScope` `getComparisonScope​(org.eclipse.core.runtime.IProgressMonitor monitor)`

### Method Detail

#### getComparisonScope

    IComparisonScope getComparisonScope​(org.eclipse.core.runtime.IProgressMonitor monitor)

#### getComparison

    Comparison getComparison​(org.eclipse.core.runtime.IProgressMonitor monitor)